Subject: Degrees

From: Amanda Stossel <[email-masked]>
Date: Fri, 6 Oct 1995 08:31:29 -0800

Hello there....

I'm going back to school after WAY too long away and I'm considering a 
degree in Ethnobotany.  Since I really know very little, I was hoping 
someone could tell me if this would be the right degree to study the 
medicinal effects of herbs.  Also, any advice as to what are good 
schools, the best areas of study, etc. would be greatly appreciated.

Also, I grew up in Native villages in Alaska and Artemisia Alaskana and 
A.Tilesii were used as a cure-all.  The effects seemed pretty spectacular 
to me, and I'd love to know what other people know about these or their 
relative A.Absinthium. Is any organized research being done on their effects?

Thanks so much

			Amanda

"James gave the huffle of a snail in danger and came to the end of his 
brick" A.A.Milne